// Copyright (c) 2022 Dominic Masters
// 
// This software is released under the MIT License.
// https://opensource.org/licenses/MIT

#include "Card.hpp"

using namespace Dawn;

void Card::fillDeck(std::vector<struct Card> *deck) {
  for(uint8_t i = 0; i < CARD_DECK_SIZE; i++) {
    deck->push_back(Card(i));
  }
}

void Card::sort(std::vector<struct Card> *deck) {
  std::sort(deck->begin(), deck->end(), &cardSorter);
}

bool_t cardSorter(struct Card left, struct Card right) {
  return left.cardValue < right.cardValue;
}